Loading...
Searching...
No Matches
robottestingframework::TestListener Class Reference

The base class of any test result listeners. More...

`#include <robottestingframework/TestListener.h>`

Inheritance diagram for robottestingframework::TestListener:
[legend]

## Public Member Functions

| TestListener ()=default
| TestListener constructor.
virtual | ~TestListener ()=default
| TestListener destructor.
virtual void | addReport (const Test *test, TestMessage msg)
| This is called to report any arbitrary message from tests.
virtual void | addError (const Test *test, TestMessage msg)
| This is called when an error occurred during test run.
virtual void | addFailure (const Test *test, TestMessage msg)
| This is called when a failure occurred during test run.
virtual void | startTest (const Test *test)
| This is called when a Test is started.
virtual void | endTest (const Test *test)
| This is called when a Test is finished.
virtual void | startTestSuite (const Test *test)
| This is called when a TestSuite is started.
virtual void | endTestSuite (const Test *test)
| This is called when a TestSuite is finished.
virtual void | startTestRunner ()
| This is called when the TestRunner is started.
virtual void | endTestRunner ()
| This is called when the TestRunner is finished.

## Detailed Description

The base class of any test result listeners.

Definition at line 33 of file TestListener.h.

## Constructor & Destructor Documentation

## TestListener()

robottestingframework::TestListener::TestListener | ( |  | ) |

default

TestListener constructor.

## ~TestListener()

virtual robottestingframework::TestListener::~TestListener | ( |  | ) |

virtual default

TestListener destructor.

## Member Function Documentation

## addError()

virtual void robottestingframework::TestListener::addError | ( | const Test * | test,
|  | TestMessage | msg
| ) |  |

inline virtual

This is called when an error occurred during test run.

Parameters

  test | pointer to the corresponding test
  msg | correspoinding error message

Reimplemented in robottestingframework::ConsoleListener, robottestingframework::TestResultCollector, and robottestingframework::WebProgressListener.

Definition at line 61 of file TestListener.h.

## addFailure()

virtual void robottestingframework::TestListener::addFailure | ( | const Test * | test,
|  | TestMessage | msg
| ) |  |

inline virtual

This is called when a failure occurred during test run.

Parameters

  test | pointer to the corresponding test
  msg | correspoinding failure message

Reimplemented in robottestingframework::ConsoleListener, robottestingframework::TestResultCollector, and robottestingframework::WebProgressListener.

Definition at line 70 of file TestListener.h.

## addReport()

virtual void robottestingframework::TestListener::addReport | ( | const Test * | test,
|  | TestMessage | msg
| ) |  |

inline virtual

This is called to report any arbitrary message from tests.

Parameters

  test | pointer to the corresponding test
  msg | correspoinding error message

Reimplemented in robottestingframework::ConsoleListener, robottestingframework::TestResultCollector, and robottestingframework::WebProgressListener.

Definition at line 52 of file TestListener.h.

## endTest()

virtual void robottestingframework::TestListener::endTest | ( | const Test * | test | ) |

inline virtual

This is called when a Test is finished.

Parameters

  test | pointer to the corresponding test

Reimplemented in robottestingframework::ConsoleListener, robottestingframework::TestResultCollector, and robottestingframework::WebProgressListener.

Definition at line 86 of file TestListener.h.

## endTestRunner()

virtual void robottestingframework::TestListener::endTestRunner | ( |  | ) |

inline virtual

This is called when the TestRunner is finished.

Reimplemented in robottestingframework::ConsoleListener, and robottestingframework::WebProgressListener.

Definition at line 116 of file TestListener.h.

## endTestSuite()

virtual void robottestingframework::TestListener::endTestSuite | ( | const Test * | test | ) |

inline virtual

This is called when a TestSuite is finished.

Parameters

  test | pointer to the corresponding test

Reimplemented in robottestingframework::ConsoleListener, robottestingframework::TestResultCollector, and robottestingframework::WebProgressListener.

Definition at line 102 of file TestListener.h.

## startTest()

virtual void robottestingframework::TestListener::startTest | ( | const Test * | test | ) |

inline virtual

This is called when a Test is started.

Parameters

  test | pointer to the corresponding test

Reimplemented in robottestingframework::ConsoleListener, robottestingframework::TestResultCollector, and robottestingframework::WebProgressListener.

Definition at line 78 of file TestListener.h.

## startTestRunner()

virtual void robottestingframework::TestListener::startTestRunner | ( |  | ) |

inline virtual

This is called when the TestRunner is started.

Reimplemented in robottestingframework::ConsoleListener, and robottestingframework::WebProgressListener.

Definition at line 109 of file TestListener.h.

## startTestSuite()

virtual void robottestingframework::TestListener::startTestSuite | ( | const Test * | test | ) |

inline virtual

This is called when a TestSuite is started.

Parameters

  test | pointer to the corresponding test

Reimplemented in robottestingframework::ConsoleListener, robottestingframework::TestResultCollector, and robottestingframework::WebProgressListener.

Definition at line 94 of file TestListener.h.

The documentation for this class was generated from the following file:

- src/robottestingframework/include/robottestingframework/TestListener.h